<!--
#
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
#  KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.
#
-->

# Contributing to Apache Cordova

Anyone can contribute to Cordova. And we need your contributions.

There are multiple ways to contribute: report bugs, improve the docs, and
contribute code.

For instructions on this, start with the 
[contribution overview](http://cordova.apache.org/#contribute).

The details are explained there, but the important items are:
 - Sign and submit an Apache ICLA (Contributor License Agreement).
 - Have a Jira issue open that corresponds to your contribution.
 - Run the tests so your patch doesn't break existing functionality.

We look forward to your contributions!

# Translating Apache Cordova
Apache Cordova's documentation is written in English but translations are available in a number of different languages. These languages are chosen based on volunteers who are willing to help translate from English to their native tongue. We use Crowdin, a translation and localization management platform to collaborate amongst translators and our core team.

## The Process of Translating

If you know another language and are willing to help translate Apache Cordova, here are the steps to get started:

1. Create a free account with Crowdin.net [http://crowdin.net](http://crowdin.net)
2. Search for and find the Cordova project [http://crowdin.net/project/cordova/](http://crowdin.net/project/cordova/)
3. Scroll down to find the languages that are currently being translated.
4. Choose a language and click on the language to start contributing. e.g. Spanish http://crowdin.net/project/cordova/es-ES
5. Next to each of the markdown files you will see a button labelled "Translate". Clicking that button will open a translate page where the English version of the file is on the left.
6. Click on a phrase in the left-hand panel. Then type a translation in the textarea to the right. Click the "Commit Translation" button.
If a translation is already provided for a phrase you can vote it up or down. If you vote it down be sure to also include what you believe to be the correct translation.

## Tips
The headers are used to provide links between pages.  It is therefore critical that these headers have the exact same translation character for character.  Otherwise, the links will appear broken.  If, when building a language, a link is problem, check that the translations match.
