---
license: Licensed to the Apache Software Foundation (ASF) under one
         or more contributor license agreements.  See the NOTICE file
         distributed with this work for additional information
         regarding copyright ownership.  The ASF licenses this file
         to you under the Apache License, Version 2.0 (the
         "License"); you may not use this file except in compliance
         with the License.  You may obtain a copy of the License at

           http://www.apache.org/licenses/LICENSE-2.0

         Unless required by applicable law or agreed to in writing,
         software distributed under the License is distributed on an
         "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
         KIND, either express or implied.  See the License for the
         specific language governing permissions and limitations
         under the License.
---

# Plugin APIs

Cordova mit einen minimalen Satz von APIs und Projekte hinzufügen, was zusätzliche APIs, die sie durch Plugins erfordern.

Sie können alle vorhandenen Plugins, die mithilfe der [Plugin Registry][1] durchsuchen.

 [1]: http://plugins.cordova.io/

Der traditionelle Satz von Cordova Plugins sind wie folgt:

*   [Batteriestatus][2]
    
    > Überwachen Sie den Status des Geräts Batterie.

*   [Kamera][3]
    
    > Ein Foto mit der Gerätekamera zu erfassen.

*   [Kontakte][4]
    
    > Arbeiten Sie mit der Geräte-Kontaktdatenbank.

*   [Gerät][5]
    
    > Gerät bestimmte Informationen zu sammeln.

*   [Bewegung Gerät (Beschleunigungssensor)][6]
    
    > Tippen Sie in das Gerät Weg-und/oder Geschwindigkeitsgeber.

*   [Orientierung des Geräts (Kompass)][7]
    
    > Erhalten Sie die Richtung, die das Gerät verweist.

*   [Dialoge][8]
    
    > Visuelle Gerätebenachrichtigungen.

*   [Dateisystem][9]
    
    > Haken Sie in native Dateisystem durch JavaScript.

*   [File-Transfer][10]
    
    > Haken Sie in native Dateisystem durch JavaScript.

*   [Geolocation][11]
    
    > Machen Sie Ihre Anwendung Lage bewusst.

*   [Globalisierung][12]
    
    > Aktivieren Sie die Darstellung von Objekten, die spezifisch für ein Gebietsschema.

*   [InAppBrowser][13]
    
    > URLs in einer anderen in-app Browserinstanz zu starten.

*   [Medien][14]
    
    > Aufzeichnen und Wiedergeben von audio-Dateien.

*   [Medien erfassen][15]
    
    > Media-Dateien mithilfe des Geräts Media Capture-Anwendungen zu erfassen.

*   [Netzwerkinformationen (Verbindung)][16]
    
    > Der Netzwerkstatus und Mobilfunknetz Informationen schnell zu überprüfen.

*   [SplashScreen][17]
    
    > Ein- und Ausblenden der Splash-Screen Anwendungen.

*   [Vibration][18]
    
    > Eine API, das Gerät zu vibrieren.

 [2]: https://github.com/apache/cordova-plugin-battery-status/blob/master/doc/index.md
 [3]: https://github.com/apache/cordova-plugin-camera/blob/master/doc/index.md
 [4]: https://github.com/apache/cordova-plugin-contacts/blob/master/doc/index.md
 [5]: https://github.com/apache/cordova-plugin-device/blob/master/doc/index.md
 [6]: https://github.com/apache/cordova-plugin-device-motion/blob/master/doc/index.md
 [7]: https://github.com/apache/cordova-plugin-device-orientation/blob/master/doc/index.md
 [8]: https://github.com/apache/cordova-plugin-dialogs/blob/master/doc/index.md
 [9]: https://github.com/apache/cordova-plugin-file/blob/master/doc/index.md
 [10]: https://github.com/apache/cordova-plugin-file-transfer/blob/master/doc/index.md
 [11]: https://github.com/apache/cordova-plugin-geolocation/blob/master/doc/index.md
 [12]: https://github.com/apache/cordova-plugin-globalization/blob/master/doc/index.md
 [13]: https://github.com/apache/cordova-plugin-inappbrowser/blob/master/doc/index.md
 [14]: https://github.com/apache/cordova-plugin-media/blob/master/doc/index.md
 [15]: https://github.com/apache/cordova-plugin-media-capture/blob/master/doc/index.md
 [16]: https://github.com/apache/cordova-plugin-network-information/blob/master/doc/index.md
 [17]: https://github.com/apache/cordova-plugin-splashscreen/blob/master/doc/index.md
 [18]: https://github.com/apache/cordova-plugin-vibration/blob/master/doc/index.md

Nicht-englische Übersetzungen über diese Plugin-Docs finden Sie indem Sie sich ältere Versionen von Cordova-Dokumentation. Verwenden Sie das Drop-Down-Menü auf die ganz oben rechts auf dieser Seite, um Versionen wechseln.
