* * *

license: Licensed to the Apache Software Foundation (ASF) under one or more contributor license agreements. See the NOTICE file distributed with this work for additional information regarding copyright ownership. The ASF licenses this file to you under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

           http://www.apache.org/licenses/LICENSE-2.0
    
         Unless required by applicable law or agreed to in writing,
         software distributed under the License is distributed on an
         "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
         KIND, either express or implied.  See the License for the
         specific language governing permissions and limitations
    

## under the License.

# Plugin APIs

Cordova naves con un mínimo conjunto de APIs, y proyectos añadir qué APIs adicionales que necesitan a través de plugins.

Usted puede buscar a través de todos los plugins existentes (incluyendo plugins de terceros) usando el [Plugin Registry][1].

 [1]: http://plugins.cordova.io/

El conjunto tradicional de núcleo Cordova plugins son como sigue:

*   [Estado de la batería][2]
    
    > Monitorear el estado de la batería del dispositivo.

*   [Cámara][3]
    
    > Capturar una foto con la cámara del dispositivo.

*   [Consola][4]
    
    > Añadir capacidad adicional a console.log().

*   [Contactos][5]
    
    > Trabajar con la base de datos de contacto de dispositivos.

*   [Dispositivo][6]
    
    > Reunir información específica del dispositivo.

*   [Movimiento de dispositivo (acelerómetro)][7]
    
    > Puntee en sensor de movimiento del dispositivo.

*   [Orientación de dispositivo (brújula)][8]
    
    > Obtener la dirección que apunta el dispositivo.

*   [Los cuadros de diálogo][9]
    
    > Notificaciones de dispositivo visual.

*   [FileSystem][10]
    
    > Enganche en el sistema de archivo nativo a través de JavaScript.

*   [Transferencia de archivos][11]
    
    > Enganche en el sistema de archivo nativo a través de JavaScript.

*   [Geolocalización][12]
    
    > Conocer la ubicación de su aplicación.

*   [Globalización][13]
    
    > Permiten la representación de objetos específicos de una configuración regional.

*   [InAppBrowser][14]
    
    > Lanzamiento de URLs en otra instancia del explorador en la aplicación.

*   [Los medios de comunicación][15]
    
    > Grabar y reproducir archivos de audio.

*   [Captura de los medios de comunicación][16]
    
    > Capturar archivos de medios usando las aplicaciones de captura de los medios de comunicación del dispositivo.

*   [Información de red (conexión)][17]
    
    > Comprobar rápidamente el estado de la red e información de la red celular.

*   [SplashScreen][18]
    
    > Mostrar / ocultar la pantalla de presentación de solicitudes.

*   [Vibración][19]
    
    > Una API para que vibre el dispositivo.

*   [Barra de estado][20]
    
    > Una API para mostrar, ocultando y configurar fondo de barra de estado.

 [2]: http://plugins.cordova.io/#/package/org.apache.cordova.battery-status
 [3]: http://plugins.cordova.io/#/package/org.apache.cordova.camera
 [4]: http://plugins.cordova.io/#/package/org.apache.cordova.console
 [5]: http://plugins.cordova.io/#/package/org.apache.cordova.contacts
 [6]: http://plugins.cordova.io/#/package/org.apache.cordova.device
 [7]: http://plugins.cordova.io/#/package/org.apache.cordova.device-motion
 [8]: http://plugins.cordova.io/#/package/org.apache.cordova.device-orientation
 [9]: http://plugins.cordova.io/#/package/org.apache.cordova.dialogs
 [10]: http://plugins.cordova.io/#/package/org.apache.cordova.file
 [11]: http://plugins.cordova.io/#/package/org.apache.cordova.file-transfer
 [12]: http://plugins.cordova.io/#/package/org.apache.cordova.geolocation
 [13]: http://plugins.cordova.io/#/package/org.apache.cordova.globalization
 [14]: http://plugins.cordova.io/#/package/org.apache.cordova.inappbrowser
 [15]: http://plugins.cordova.io/#/package/org.apache.cordova.media
 [16]: http://plugins.cordova.io/#/package/org.apache.cordova.media-capture
 [17]: http://plugins.cordova.io/#/package/org.apache.cordova.network-information
 [18]: http://plugins.cordova.io/#/package/org.apache.cordova.splashscreen
 [19]: http://plugins.cordova.io/#/package/org.apache.cordova.vibration
 [20]: https://github.com/apache/cordova-plugin-statusbar/blob/master/doc/index.md

Las traducciones de Inglés de estos documentos plugin pueden encontrarse mirando las versiones más antiguas de la documentación de Córdoba. Utilice el menú desplegable en el muy superior derecha de esta página para cambiar las versiones.