---

license: Licensed to the Apache Software Foundation (ASF) under one or more contributor license agreements. See the NOTICE file distributed with this work for additional information regarding copyright ownership. The ASF licenses this file to you under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

           http://www.apache.org/licenses/LICENSE-2.0
    
         Unless required by applicable law or agreed to in writing,
         software distributed under the License is distributed on an
         "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
         KIND, either express or implied.  See the License for the
         specific language governing permissions and limitations
         under the License.
    

---

# 概要

コルドバは、オープン ソース モバイル開発フレームワークです。 HTML5、CSS3、JavaScript などの標準的な web 技術開発を使用するクロス プラットフォーム、各モバイル プラットフォームのネイティブ開発言語を回避することができます。 アプリケーション各プラットフォームを対象としたラッパー内で実行される各デバイスのセンサー、データ、およびネットワークの状態をアクセスするための標準に準拠した API バインドに依存しています。

場合は、コルドバを使用します。

*   モバイル開発者と各プラットフォームの言語とツールを再実装しなくても 1 つ以上のプラットフォーム上でアプリケーションを拡張する設定します。

*   web 開発者と様々 なアプリケーションの配布用にパッケージ化されている web アプリケーションを配置するポータルを格納します。

*   モバイル開発者、 *WebView* (ブラウザー ウィンドウ) デバイス レベルの Api にアクセスできるとネイティブ アプリケーションのコンポーネントを混在することに興味があるまたはネイティブと WebView コンポーネント間のプラグイン インターフェイスを開発する場合。

## 基本的なコンポーネント

Cordova アプリ共通に頼る `config.xml` ファイルをアプリケーションに関する情報を提供し、シフト方向に応答かどうかなど、そのしくみに影響を与えるパラメーターを指定します。 このファイルは W3C の[Web アプリのパッケージ化][1]、または*ウィジェット*は、仕様に準拠しています。

 [1]: http://www.w3.org/TR/widgets/

アプリケーション自体が web ページとして実装されている、既定では、どのような CSS、JavaScript、画像、メディア ファイルを参照、 *index.html*という名前またはその他のリソースを実行するために必要な。 アプリは、アプリ ストアに配布するネイティブ アプリケーションのラッパー内の*WebView*として実行します。 方法ネイティブ アプリをさまざまなデバイスの機能と対話する web アプリは、それも参照する必要があります、 `cordova.js` ファイルは、API のバインディングを提供します。

コルドバ有効 WebView その全体のユーザー インターフェイスを持つアプリケーションがあります。 ネイティブ アプリケーションのコンポーネント、WebView にまじって、大きな、ハイブリッド アプリケーション内のコンポーネントがあります。 コルドバは、これらのコンポーネントが互いに通信するための*プラグイン*インターフェイスを提供します。

## 開発パス

バージョン 3.0 は、モバイル アプリケーションを作成するのに 2 つの基本的なワークフローを使用できます。 中に両方のワークフローを使用して同じことを達成することができます、特定のタスクを 1 つのワークフローを使用して、他の上に適しています。 この理由のための最高の状況に最適なツールを使用できるように、両方のワークフローを理解してください。

サポートされている 2 つの主なワークフローは、 *Web プロジェクト開発*ワークフローと*ネイティブ プラットフォーム開発*ワークフローです。

### Web プロジェクト開発

*Web プロジェクト開発*ワークフローとしてワークフローの最初の考えることができます。 可能な限り少量のプラットフォーム固有の開発作業をできるだけ多くのモバイル オペレーティング システム上で実行されるコルドバ アプリケーションを作成する場合は、このワークフローを使用してください。 このワークフローはコルドバ*コマンド ライン インターフェイス*(CLI) の作成とコルドバ 3.0 で存在に入って来た。 CLI を捨象してアプリケーションを構築に関与の詳細の世話をする低レベルのシェル スクリプトの機能の多くは、プラットフォーム特定の構成変更を加えたり、特定を実行している各モバイル プラットフォームのための適切なフォルダーに web 資産構築アプリケーション バイナリを生成するスクリプトのコピーなど。 続きを読むことができます*Web プロジェクト開発*ワークフロー コマンド ライン インターフェイスでに関する。 多くの人々 は、"CLI"の話すときにこの*プロジェクトの Web Dev*ワークフローについて話していることに注意してください。

### ネイティブ プラットフォーム開発

2 番目のワークフローは、*ネイティブ プラットフォーム開発*ワークフローと考えることができます。 単一プラットフォームのアプリケーションの構築に焦点を当てるし、下位レベルのプラットフォームの詳細を変更することに興味がある場合は、それを使用する必要があります。 まだこのワークフローを使用して、クロス プラットフォーム アプリケーションを構築することができます、さまざまなビルド手順を抽象するツールの欠如は難しくより。 たとえば、Plugman を使用して、サポートする各プラットフォームに対して 1 回ずつ同じプラグインをインストールする必要があります。 この*ネイティブのプラットフォーム開発*のワークフローを使用する利点は、それをビルドしてテスト アプリケーション, ので、もし低レベルのシェル スクリプトをアクセスことができます物事のネイティブ側ハッキングは、このワークフローは、変更をテストする最も効率的な方法です。 このワークフローより大規模なネイティブ アプリケーションのごく一部として、CordovaWebView を使用する場合に適切なまた (埋め込み web 表示ガイドを参照してください)。このワークフローが別のシェル ツール ガイドは、例えば、シェル ツール ガイドの Android と iOS シェル ツール ガイドで読むことができます。

ときに最初に出始めて、ワークフローを使用して、*プロジェクトの Web Dev*アプリケーションを作成する最も簡単な場合があります。 （CLI をインストールのコマンド ライン インターフェイスを参照してください)。ターゲットにするプラットフォームの設定に応じて、開発サイクルの漸進的により大きい共有用の CLI を頼ることができます。

*   最も基本的なシナリオでは、単に、新しいプロジェクトを作成が設定された既定の構成を変更すると、CLI を使用できます。

*   多くのモバイル プラットフォーム、また各 SDK 内のコンパイルに必要な追加のプロジェクト ファイルを設定、CLI を使用できます。 このため動作するように、各ターゲットのプラットフォーム SDK をインストールする必要があります。 （手順についてはプラットフォームのガイドを参照）。プラットフォームのサポート表で示されているように、ターゲット プラットフォームに応じて、異なるオペレーティング システムで CLI を実行する必要があります。

*   プラットフォームをサポートするため、CLI 実行アプリケーションをコンパイルし、SDK ベースのデバイス エミュレーターで実行できます。 包括的なテストもアプリケーション ファイルを生成し、デバイス上で直接インストールできます。

開発サイクルの任意の時点ではより多く、*ネイティブ プラットフォーム開発*ワークフローの使用に切り替えることができます。 提供されている特定のプラットフォーム SDK ツール オプションの豊富なセットがあります。 （設定については各プラットフォームの SDK ツール プラットフォーム ガイドを参照してください)。

SDK 環境は web ベース、およびネイティブのアプリケーション コンポーネントをミックスしたハイブリッド アプリを実装する場合に適しています。 コマンド ライン ユーティリティを使用して最初のアプリを生成する可能性がありますまたは繰り返し SDK ツールに更新されたコードを供給するその後。 アプリケーションの構成ファイルは自分でもビルド可能性があります。 (Config.xml ファイルの詳細を参照してください)。