---
license: Licensed to the Apache Software Foundation (ASF) under one
         or more contributor license agreements.  See the NOTICE file
         distributed with this work for additional information
         regarding copyright ownership.  The ASF licenses this file
         to you under the Apache License, Version 2.0 (the
         "License"); you may not use this file except in compliance
         with the License.  You may obtain a copy of the License at

           http://www.apache.org/licenses/LICENSE-2.0

         Unless required by applicable law or agreed to in writing,
         software distributed under the License is distributed on an
         "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
         KIND, either express or implied.  See the License for the
         specific language governing permissions and limitations
         under the License.
---

# API плагинов

Cordova поставляется с минимальным набором APIs, и проекты которым необходимы дополнительные API, добавляют их через плагины.

Вы можете осуществить поиск по всем существующим плагинам (включая сторонние плагины) с использованием [Реестра плагинов][1].

 [1]: http://plugins.cordova.io/

Традиционный набор плагинов Cordova следующий:

*   [Состояние батареи][2]
    
    > Отслеживает статус батареи устройства.

*   [Камера][3]
    
    > Получает фото используя камеру устройства.

*   [Консоль][4]
    
    > Добавление дополнительных возможностей к console.log().

*   [Контакты][5]
    
    > Взаимодействует с книгой контактов на устройстве.

*   [Устройство][6]
    
    > Получает информацию об устройстве.

*   [Движение устройства (Акселерометр)][7]
    
    > Используйте датчик движения устройства.

*   [Ориентация устройства (Компас)][8]
    
    > Получите направление в котором указывает устройство.

*   [Диалоги][9]
    
    > Визуальные уведомления на устройстве.

*   [Файловая система][10]
    
    > Подключитесь к файловой системе устройства с помощью JavaScript.

*   [Передача файлов][11]
    
    > Подключитесь к файловой системе устройства с помощью JavaScript.

*   [Географическое положение][12]
    
    > Пусть ваше приложение знает свое местоположение.

*   [Глобализация][13]
    
    > Добавляет представление объектов в виде принятом для выбранной локали.

*   [Внутренний браузер][14]
    
    > Открывает URL-адреса в другом окне браузера внутри приложения.

*   [Аудио и видео][15]
    
    > Записывайте и проигрывайте аудиофайлы.

*   [Захват аудио и видео][16]
    
    > Создавайте медиа-файлы используя приложения по захвату медиа, на устройстве.

*   [Информацию о сети (подключение)][17]
    
    > Быстро проверьте состояние сети интернет, и информацию о сети сотовой связи.

*   [Заставка][18]
    
    > Показывайте и прячьте экран заставки приложения.

*   [Вибрация][19]
    
    > API для вибрации устройства.

*   [StatusBar][20]
    
    > API-интерфейс для отображения, скрытия и настройке фона строки состояния.

 [2]: http://plugins.cordova.io/#/package/org.apache.cordova.battery-status
 [3]: http://plugins.cordova.io/#/package/org.apache.cordova.camera
 [4]: http://plugins.cordova.io/#/package/org.apache.cordova.console
 [5]: http://plugins.cordova.io/#/package/org.apache.cordova.contacts
 [6]: http://plugins.cordova.io/#/package/org.apache.cordova.device
 [7]: http://plugins.cordova.io/#/package/org.apache.cordova.device-motion
 [8]: http://plugins.cordova.io/#/package/org.apache.cordova.device-orientation
 [9]: http://plugins.cordova.io/#/package/org.apache.cordova.dialogs
 [10]: http://plugins.cordova.io/#/package/org.apache.cordova.file
 [11]: http://plugins.cordova.io/#/package/org.apache.cordova.file-transfer
 [12]: http://plugins.cordova.io/#/package/org.apache.cordova.geolocation
 [13]: http://plugins.cordova.io/#/package/org.apache.cordova.globalization
 [14]: http://plugins.cordova.io/#/package/org.apache.cordova.inappbrowser
 [15]: http://plugins.cordova.io/#/package/org.apache.cordova.media
 [16]: http://plugins.cordova.io/#/package/org.apache.cordova.media-capture
 [17]: http://plugins.cordova.io/#/package/org.apache.cordova.network-information
 [18]: http://plugins.cordova.io/#/package/org.apache.cordova.splashscreen
 [19]: http://plugins.cordova.io/#/package/org.apache.cordova.vibration
 [20]: https://github.com/apache/cordova-plugin-statusbar/blob/master/doc/index.md

Non-английский переводы этих документов плагин можно найти, глядя на старые версии документации, Кордова. Используйте раскрывающееся меню в очень верхней правой части этого сайта для переключения версий.