---
license: Licensed to the Apache Software Foundation (ASF) under one
         or more contributor license agreements.  See the NOTICE file
         distributed with this work for additional information
         regarding copyright ownership.  The ASF licenses this file
         to you under the Apache License, Version 2.0 (the
         "License"); you may not use this file except in compliance
         with the License.  You may obtain a copy of the License at

           http://www.apache.org/licenses/LICENSE-2.0

         Unless required by applicable law or agreed to in writing,
         software distributed under the License is distributed on an
         "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
         KIND, either express or implied.  See the License for the
         specific language governing permissions and limitations
         under the License.
---

# Введение

Apache Cordova — это платформа разработки мобильных приложений с открытым исходным кодом. Она позволяет использовать стандартные веб-технологии, такие как HTML5, CSS3 и JavaScript для кросс платформенной разработки, избегая родного языка разработки для каждой из мобильных платформ. Приложения выполняются внутри обертки нацеленной на каждую платформу и полагаются на стандартные API для доступа к датчикам устройства, данным и состоянию сети.

Apache Cordova закончил инкубационный период в октябре 2012 года как основной проект в рамках Apache Software Foundation (ASF). Через участие в ASF, будущее развитие Cordova, обеспечит открытое руководство проектом. Он всегда будет оставаться бесплатным и с открытым исходным кодом под лицензией Apache версии 2.0. Посетите [cordova.apache.org][1] для получения дополнительной информации.

 [1]: http://cordova.apache.org

Используйте Apache Cordova, если вы:

*   Мобильный разработчик и хотите расширить приложение на более чем одну платформу, без необходимости повторно реализовать его для каждого языка разработки платформ и набора инструментов.

*   веб-разработчик и хотите, чтобы развернуть веб-приложение, который упаковано для распространения в различных магазинах приложений.

*   Мобильный разработчик, заинтересованный в смешивания компонентов собственного приложения с *WebView* (Специальный браузер окно), можно получить доступ к API уровне устройства, или если вы хотите разработать плагин интерфейс между родной и WebView компонентами.

## Основные компоненты

Пиложения Cordova полагаются на общий файл `config.xml`, который содержит информацию о приложении и определяет параметры, влияющие на то как приложенеи работает, такие как, реагирует ли оно на изменение ориентации устройства. Этот файл соответствует спецификации W3C [Упакованные веб-приложения][2], или *widget*, .

 [2]: http://www.w3.org/TR/widgets/

Само приложение реализована как веб-страницы, по умолчанию локальный файл под названием *index.html*, который ссылается на любой CSS, JavaScript, изображения, файлы мультимедиа или другие ресурсы необходимы для его запуска. Приложение выполняет как *WebView* в пределах оболочки приложения, которую вы распространяете в магазины приложений.

WebView с поддержкой Cordova может представлять приложения и полностью его пользовательский интерфейс. На некоторых платформах она также может быть компонентом в больших, гибридные приложения, который объединяют WebView с другими компонентами приложения. (Подробную информацию см. в разделе "Встраивание WebViews".)

Интерфейс *плагина* доступен для Cordova и других компоненты, для взаимодействия друг с другом. Это позволяет вызывать код на языке платформы из JavaScript. В идеале на нескольких платформах устройств согласуются JavaScript API, чтобы этот машинный код. Начиная с версии 3.0 плагины предоставляют привязки к стандартным API интерфейсам устройства. Сторонние плагины предоставляют дополнительные привязки для функции не обязательно доступных на всех платформах. Можно найти эти сторонние плагины в [реестре плагинов][3] и использовать их в своем приложении. Вы можете также разработать свои собственные плагины, как описано в "Руководстве по разработке плагинов". Плагины могут оказаться необходимыми, например, для связи между Cordova и собственными компонентами.

 [3]: http://plugins.cordova.io

**Примечание**: начиная с версии 3.0, при создании проекта Cordova, она не имеет каких-либо плагинов настоящей. Это новое поведение по умолчанию. Какие плагины вы хотите, даже основные плагины, должен быть явно добавлен.

Кордова не предоставляет каких-либо виджетов пользовательского интерфейса или MV * рамки. Cordova предоставляет только во время выполнения, в которой те могут выполнять. Если вы хотите использовать UI-виджеты и/или механизма MV, вам нужно будет выбрать те и включить их в приложение себя как материалы третьей стороны.

## Пути разработки

Начиная с версии 3.0 можно использовать два основных рабочих процесса для создания мобильных приложений. Хотя вы можете использовать любой рабочий процесс для выполнения одной и той же задачи, каждый из этих путей имеет свои преимущества:

*   **Кросс платформенный (CLI) рабочий процесс**: использование Этот рабочий процесс если вы хотите, чтобы ваше приложение для запуска на столько разных мобильных операционных систем как можно скорее, с немного нужно для развития платформы. Этот рабочий процесс формируется возле утилиты `cordova`, также известном как Cordova *CLI*, который был введен начиная с Cordova 3.0. CLI это высоко уровневый инструмент который позволяет построить проекты для как можно большего количества платформа одновременно, абстрагируя как можно больше функциональности низко-уровневых скриптов. CLI копирует общий набор web ресурсво в подкаталоги для каждой мобильной платформы, делает любые необходимые изменения в конфигурацию для каждой платформы, запускает сценарии сборки для создания исполняемых файлов приложения. CLI также предоставляет общий интерфейс для применения плагинов для вашего приложения. Для более подробной информации о CLI увидеть интерфейс командной строки. Если у вас есть необходимость по центру платформы рабочего процесса, Рабочий процесс кросс платформенный рекомендуется.

*   **Платформо-ориентированный процесс разработки**: Используйте этот процесс если вы хотите сфокусироваться на построении приложения для одной платформы и вам будет необходимо вносить модификации на низком уровне. Вы должны использовать этот подход, к примеру, если вы хотите чтобы ваше приложение совмещало собственные компоненты с веб-ориентированными компонентами Cordova, как описано в разделе "Встраивание WebView". Как правило этот рабочий процесс используется, если необходимо изменить проект с помощью SDK. Этот рабочий процесс опирается на набор скриптов более низкого уровня, которые приспособлены для каждой поддерживаемой платформы и отдельную утилита Plugman, которая позволяет применять плагины индивидуально к выбранной платформе. Хотя вы можете использовать этот рабочий процесс для создания кросс платформенных приложений, это как правило сложнее, потому что отсутствие утилит более высокого уровня означает, отдельные циклов сборки и модификации плагинов для каждой платформы. Тем не менее этот рабочий процесс позволяет вам более широкий доступ к вариантам разработки, предоставляемые каждым SDK и важно для сложных гибридных приложений. Различные руководства платформы для подробной информации смотрите на утилиты доступны оболочки каждой платформы.

Изначально, может быть легче всего использовать кросс платформенный рабочий процесс для создания приложения, как описано в разделе "Интерфейс командной строки". Затем у вас есть возможность перейти к платформо-ориентированному процессу разработки, если требуется большая степень контроля, предоставляемую SDK. Низкоуровневые утилиты доступны на [cordova.apache.org][1] в отдельной рассылке чем CLI. Для проектов, первоначально созданные CLI, эти инструменты доступны также в различных каталогах `platforms/*/cordova` проекта.

**Примечание**: после того, как вы перейти от рабочего процесса на основе CLI к платформо-ориентированному процессу и инструментам командной строки, вы не сможете вернуться назад. CLI поддерживает общий набор кросс платформенный исходного кода, который при каждом построении он использует чтобы изменить платформо-зависимый исходный код. Чтобы сохранить любые изменения, внесенные вами в платформо-зависимые ресурсы, вам нужно перейти к платформо-ориентированным инструментам, которые игнорируют кросс платформенный исходный код и вместо этого полагаются на платформо-зависимый исходный код.

## Установка Кордова

Установка Cordova будет отличаться в зависимости от рабочего процесса выше, вы выбираете:

*   Кросс платформенный рабочий процесс: увидеть интерфейс командной строки.

*   По центру платформы рабочего процесса: увидеть гидов платформы.

После установки Cordova, рекомендуется, что вы обзор руководства платформы для мобильных платформ, которые вам будет разрабатывать для. Мы также рекомендуем также просмотреть руководство конфиденциальности, безопасности и последующие шаги. Для настройки Cordova, смотрите файл config.xml. Для доступа к собственной функции на устройстве с JavaScript, сослаться на плагин API. И ссылаться на другие включены руководства при необходимости.