---
license: Licensed to the Apache Software Foundation (ASF) under one
         or more contributor license agreements.  See the NOTICE file
         distributed with this work for additional information
         regarding copyright ownership.  The ASF licenses this file
         to you under the Apache License, Version 2.0 (the
         "License"); you may not use this file except in compliance
         with the License.  You may obtain a copy of the License at

           http://www.apache.org/licenses/LICENSE-2.0

         Unless required by applicable law or agreed to in writing,
         software distributed under the License is distributed on an
         "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
         KIND, either express or implied.  See the License for the
         specific language governing permissions and limitations
         under the License.
---

# Руководство для платформы Android

В этом руководстве показано, как настроить среду SDK для развертывания приложений Cordova для устройств на базе Android и как при необходимости использовать специфические для Android средства командной строки в вашем рабочем процессе построения приложений. Вам нужно установить Android SDK независимо от того, хотите ли вы использовать эти инструменты или использовать кросс-платформенный Cordova CLI для построения приложения. Для сравнения двух вариантов разработки см. Обзор. Дополнительные сведения о CLI, см. "Интерфейс командной строки".

## Требования и поддержка

Cordova для Android требует Android SDK. Посмотреть [системные требования][1] Android SDK.

 [1]: http://developer.android.com/sdk/index.html

Кордова поддерживает Android 2.3.x (пряник, начиная с 10 уровня Android API) и 4.x. Как правило версии Android становятся поддерживается Cordova как они опустится ниже 5% на Google в [панель распределения][2]. Android версий раньше, чем API уровня 10, и версии 3.x (соты, API уровни 11-13) значительно ниже 5% порог.

 [2]: http://developer.android.com/about/dashboards/index.html

## Установка инструментов Cordova

Если вы хотите использовать Android-ориентированные инструменты Cordova совместно с SDK, скачайте Cordova с [cordova.apache.org][3]. В противном случае этот раздел можно проигнорировать, если вы планируете использовать кросс-платформенное средство CLI, описанное в разделе "Интерфейс командной строки".

 [3]: http://cordova.apache.org

Страница для скачивания Cordova содержит различные архивы для каждой платформы. Убедитесь в том распаковываете соответствующий архив, `android` в данном случае, в пустой каталог. Соотвествующие выполняемые утилиты будут доступны в каталоге `bin` верхнего уровня. (Обратитесь при необходимости к **README** файлу за более подробными инструкциями.)

Эти инструменты командной строки позволят вам создавать, собирать и запускать приложения для Android. За информаций о дополнительных интерфейсах командной строки которые позволяют встраивать возможности плагинов среди разных платформ, смотрите раздел "Использование Plugman для управления плагинами". Смотрите раздел "Плагины приложения" для детальной информации о том как разрабатывать плагины.

Установите Android SDK с сайта [developer.android.com/sdk][4]. Android SDK распространяется как файл 'adt-bundle-<os>-<arch>-<ver>'. На Windows, adt-bundle упакован совместно с установщиком. На OSX и Linux, просто распакуйте 'adt-bundle' в место где вы храните инструменты разработки. [Более подробную информацию по установке Android SDK можно найти здесь][5]

 [4]: http://developer.android.com/sdk/
 [5]: http://developer.android.com/sdk/installing/bundle.html

Чтобы инструменты командной строки Cordova работали, или другое CLI которое основано на них, вам необходимо включить каталоги SDK `tools` и `platform-tools` в вашу переменную окружения `PATH`. На Mac, вы можете использовать текстовый редактор для создания или изменения файла `~/.bash_profile`, добавив линию, наподобие нижеуказанной, в зависимости от того где установлен SDK:

        export PATH=${PATH}:/Development/adt-bundle/sdk/platform-tools:/Development/adt-bundle/sdk/tools
    

Добавьте пути к `java` и `ant` если требуется. Эта строка в `~/.bash_profile` добавляет эти инструменты во вновь открытых окнах терминала. Если ваше окно терминала уже открыт в OSX, или чтобы избежать процедуры выхода/входа на Linux, выполните ниже указанную команду, чтобы сделать эти инструменты доступными в текущем окне терминала:

        $ источника ~/.bash_profile
    

Чтобы изменить переменную окружения `PATH` на Windows 7:

1.  Нажмите на меню " **Пуск** " в левом нижнем углу рабочего стола, щелкните правой кнопкой мыши на **Мой комьютер**, а затем нажмите кнопку **Свойства**.

2.  Нажмите кнопку **Дополнительные параметры системы** в столбце слева.

3.  В открывшемся диалоговом нажмите **Переменные среды**.

4.  Выберите переменную **PATH** и нажмите **редактировать**.

5.  Добавьте следующее в `PATH`, в зависимости от того куда был установлен пакет SDK, например:
    
        ;C:\Development\adt-bundle\sdk\platform-tools;C:\Development\adt-bundle\sdk\tools
        

6.  Сохраните значение и закройте оба диалоговые окна.

Вам возможно будет необходимо добавить Java и Ant. Откройте командную строку и напишите `java`, а также `ant`. Добавте к `PATH` ту из команды, которая не сможет запуститься:

        ;%JAVA_HOME%\bin;%ANT_HOME%\bin
    

## Откройте новый проект в SDK

На данный момент для создания нового проекта можно выбрать между кросс-платформенным инструментом CLI, описанным в разделе "Интерфейс командной строки", или набор Android-ориентированных инструментов. Из каталога с исходным кодом, вот подход CLI:

        $ cordova create hello com.example.hello HelloWorld
        $ cd hello
        $ cordova platform add android
        $ cordova build
    

Вот соотвествующий низкоуровневый подход для Unix и Windows:

        $ /path/to/cordova-android/bin/create /path/to/new/hello com.example.hello HelloWorld
        C:\path\to\cordova-android\bin\create.bat C:\path\to\new\hello com.example.hello HelloWorld
    

Вот как использовать пакет SDK для изменения проекта:

1.  Запустите приложение **Eclipse** .

2.  Выберите пункт меню **Создать проект** .

3.  Выберите **Android Project from Existing Code** из появляющегося диалогового окна, и нажмите **Next**:
    
    ![][6]

4.  Если вы используете CLI, перейдите в каталог `hello`, созданный вами для проекта, а затем в подкаталог `platforms/android`. Альтернативно, если вы используете инструмент командной строки `create`, просто перейдите в каталог `hello`.

5.  Нажмите кнопку **Готово**.

 [6]: img/guide/platforms/android/eclipse_new_project.png

После того, как откроется окно Eclipse, красный **X** может показаться, указывая на нерешенные проблемы. Если это так, выполните следующие дополнительные действия:

1.  Щелкните правой кнопкой мыши на папке проекта.

2.  В результате диалоговом окне **Свойства** выберите **Android** из области переходов.

3.  Для проекта цели, выбирать самый высокий уровень Android API, среди тех которые вы установили.

4.  Нажмите **кнопку ОК**.

5.  Выберите **Очистить** из меню **Проект** . Это должно исправить все ошибки в проекте.

## Построение проекта

Если вы используете CLI для разработки, каталога `www` проекта содержит исходные файлы. Запустите любой из нижеследующего в каталоге проекта для перепостроения приложения:

        $ cordova build
        $ cordova build android   # do not rebuild other platforms
    

Если вы используете Android-ориентированные инструментыв разработке, используйте другой подход. После того как вы создали проект, исходный код приложения по умолчанию доступен в подкаталоге `assets/www`. Последующие команды доступны в подкаталоге `cordova` проекта.

Команда `build` очищает файлы проекта и перестраивает приложение. Вот синтаксис для Mac и Windows. Первая пара примеров создает отладочную информацию, и второй подписывает приложения для релиза:

        $ /path/to/project/cordova/build --debug
        C:\path\to\project\cordova\build.bat --debug
    
        $ /path/to/project/cordova/build --release
        C:\path\to\project\cordova\build.bat --release
    

## Настройка эмулятора

Для запуска приложения в эмуляторе можно использовать утилиту CLI `cordova` или Android-ориентированные инструменты командной строки Cordova. В любом случае, SDK сначала должен быть настроен для отображения по крайней мере одного устройства. Чтобы сделать это, используйте Менеджер Android SDK, Java-приложение, которое запускается отдельно от Eclipse. Существует два способа, чтобы открыть его:

1.  В командной строке запустите `android`.

2.  В Eclipse, нажмите этот значок панели инструментов:
    
    ![][7]

 [7]: img/guide/platforms/android/eclipse_android_sdk_button.png

После открытия, Android SDK Manager отображает различные библиотеки времени выполнения:

![][8]

 [8]: img/guide/platforms/android/asdk_window.png

Выбрать **Tools → Manage AVDs** (Android Virtual Devices), затем выберите любой элемент из **Device Definitions** в появившемся диалоговом окне:

![][9]

 [9]: img/guide/platforms/android/asdk_device.png

Нажмите **Create AVD**, при необходимости изменяя имя, затем нажмите **ОК**, чтобы принять изменения:

![][10]

 [10]: img/guide/platforms/android/asdk_newAVD.png

После этого AVD появляется в списке **Android Virtual Devices**:

![][11]

 [11]: img/guide/platforms/android/asdk_avds.png

Чтобы открыть эмулятор как отдельное приложение, выберите AVD и нажать кнопку **Start**. Android запускается, также как он запускается на устройстве, с дополнительные элементы управления, доступными для аппаратных кнопок:

![][12]

 [12]: img/guide/platforms/android/asdk_emulator.png

## Развертывание на эмулятор

К этому моменту можно использовать утилиту CLI `cordova` для развертывания приложения на эмулятор из командной строки:

        $ cordova emulate android
    

В противном случае используйте интерфейс альтернативной оболочки:

        $ /path/to/project/cordova/run --emulator
    

Вместо того чтобы полагаться на то какой эмулятор в настоящее время выбран в SDK, вы можете обратиться к каждому из них по именам, которые вы указывали:

        $ /path/to/project/cordova/run --target=NAME
    

Эта команда установаливает приложение на главной странице и запускает его:

![][13]

 [13]: img/guide/platforms/android/emulator2x.png

Когда вы запускаете приложение с помощью `run`, вы также собираете его с помощью `build` автоматически. Вы можете добавить дополнительные флаги `--debug`, `--release`, и `--nobuild` для управления как приложение будет построен, или даже когда перепостроение необходимо:

        $ /path/to/project/cordova/run --emulator --nobuild
    

Если вместо этого вы работаете в среде Eclipse, щелкните правой кнопкой мыши проект и выберите **Run As → Android Applications**. Вас могут попросить указать AVD, если еще ни один не открыт.

Для более быстрый восприятия можно использовать `Ускорение виртуальной машины` для повышения скорости выполнения. Многие современные процессоры предоставляют расширения для выполнения виртуальных машин более эффективно. Прежде чем пытаться использовать этот тип ускорения, необходимо определить, поддерживает ли процессор вашей текущей системы развития, одну из следующих технологий виртуализации:

*   **Технология Виртуализации Intel** (VT-x, vmx) → [Список процессоров поддерживающих Intel VT-x][14]
*   **Виртуализация AMD** (AMD-V, SVM), поддерживается только Linux (начиная с May 2006, все процессоры AMD включают AMD-V, за исключением Sempron).

 [14]: http://ark.intel.com/products/virtualizationtechnology

Еще один способ узнать, если ваш процессор поддерживает технологию VT-x, это путем выполнения `Утилита идентификации процессора Intel`, для `Windows` вы можете скачать ее с сайта [Центр загрузки Intel ][15], или можно использовать [утилиту booteable][16], который является `ОС-независимой`.

 [15]: https://downloadcenter.intel.com/Detail_Desc.aspx?ProductID=1881&DwnldID=7838
 [16]: https://downloadcenter.intel.com/Detail_Desc.aspx?ProductID=1881&DwnldID=7840&lang=eng

После установки и выполнения `Утилита идентификации процессора Intel` в Windows, вы получите следующее окно, чтобы проверить, поддерживает ли ваш процессор технологии виртуализации:

![][17]

 [17]: img/guide/platforms/android/intel_pid_util_620px.png

Для того, чтобы ускорить эмулятор, вам нужно скачать и установить один или несколько образов системы `Intel x86 Atom`, а также `Менеджер выполнения аппаратного ускорения Intel (HAXM)`.

Откройте ваш Android SDK Manager и выберите образ системы `Intel x86 Atom`, для той версии, которую вы хотите проверить. Затем перейдите в раздел `Extras` и выберите `Intel x86 Emulator Accelerator (HAXM)` и установить эти пакеты:

![][18]

 [18]: img/guide/platforms/android/asdk_man_intel_image_haxm.png

После загрузки, запустите инсталлятор Intel, который доступен в вашем Android SDK в каталоге `extras/intel/Hardware_Accelerated_Execution_Manager`. **Примечание**: `Если у вас есть проблемы с установкой пакета, вы можете найти более подробную информацию и пошаговое руководство в этой` [статье Intel][19].

 [19]: http://software.intel.com/en-us/android/articles/speeding-up-the-android-emulator-on-intel-architecture

1.  Установить одно или несколько образов системы `Intel x86 Atom`, а также `Intel Hardware Accelerated Execution Manager`, доступных в разделе **Extras**.

2.  Запустите инсталлятор Intel, который доступен в вашем Android SDK в каталоге `extras/intel/Hardware_Accelerated_Execution_Manager`.

3.  Создайте новый AVD с выбрав в качестве цели образ Intel.

4.  При запуске эмулятора, удостоверьтесь что нет сообщений об ошибке, указывающих на сбой загрузки модулей HAX.

## Развертывание на устройство

Для публикации приложение непосредственно на устройство, убедитесь, что включена отладка USB на вашем устройстве, как описано на [сайте разработчика Android][20] и используя кабель мини-USB, подключите устройство к вашей системе.

 [20]: http://developer.android.com/tools/device.html

Можно использовать эту команду CLI чтобы установить приложение на устройство:

        $ cordova run android
    

.. или использовать этот Android-ориентированный интерфейс командной строки:

        $ /path/to/project/cordova/run --device
    

Если флаги не указаны команда `run` обнаруживает подключенное устройство, или в настоящее время работающий эмулятор, если устройство не найдено, в противном случае она попросит указать эмулятор.

Чтобы запустить приложение в Eclipse, щелкните правой кнопкой мыши на проект и выберите **Run As → Android Application**.

## Другие команды

Следующие команды задают детальное протоколирование приложения, во время его работы:

        $ /path/to/project/cordova/log
        C:\path\to\project\cordova\log.bat
    

Следующие команды очищают файлы проекта:

        $ /path/to/project/cordova/clean
        C:\path\to\project\cordova\clean.bat